Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.RigidTransform.

# concatenate

static RigidTransform.concatenate(transforms)

  Concatenate a sequence of `RigidTransform` objects into a single object.

  Parameters:
    transforms sequence of `RigidTransform`

      If a single `RigidTransform` instance is passed in, a copy of it is returned.

  Returns:
    transform `RigidTransform` instance

      The concatenated transform.

  Notes

  Array API Standard Support

  `concatenate` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ✅
  JAX | ✅ | ✅
  Dask | ⛔ | n/a

  > See Support for the array API standard for more information.

  Examples

      >>> from scipy.spatial.transform import RigidTransform as Tf
      >>> tf1 = Tf.from_translation([1, 0, 0])
      >>> tf2 = Tf.from_translation([[2, 0, 0], [3, 0, 0]])
      >>> Tf.concatenate([tf1, tf2]).translation
      array([[1., 0., 0.],
             [2., 0., 0.],
             [3., 0., 0.]])